


section:"mailmanager"
{
	select="select distinct sn_nickmail, sn_nickname, id_user from tr_msgmain where id_state & 8 != 0 
		and sn_nickmail != '' and id_parent='{id_parent}' and sn_nickmail != '{sn_nickmail:dummy}'";
}




section:"webfilemanager"
{
	
	select="select *  
		from tr_image order by sn_datecreated desc";
		
	on_image_upload = "insert into tr_image( id_parent, id_state, id_user, sn_nickname, sn_threadpath, sn_imgname, sn_imgpath, sn_imgwidth, sn_imgheight,
		sn_datecreated, sn_senderip ) values( '{id_parent}', 64, '{id_user}',  '{sn_nickname}', '{sn_threadpath}',
		'{sn_filename}', '{sn_imgpath}', '{sn_imgwidth}', '{sn_imgheight}',	now(), '{sn_senderip}' )";
		
}

  
  
section:"relatedlinks"
{
	
	create = "insert into tr_relatedlinks values ( {id}, (select group_concat( id ) from (select * from(
    (select id, MATCH ( sn_msgsubject  ) AGAINST ( '{key}' ) score 
    from tr_msgmain where id_group = '{id_group}' and id_state & 1 != 0 and sn_childcount > 0
    and id_parent != '{id}' and id_type = 'posting' order by score desc limit 5)

		union all

    (select id, MATCH ( sn_msgsubject ) AGAINST ( '{key}'  ) * 1.5 score from tr_msgmain 
    WHERE
		id_type = 'faqs' and id_state & 2 = 0 and id_parent != '{id}' order  by score desc limit 5) )
		AS t1 order by score desc limit 5 ) as t2), now() )";
	
}



table:"site.searchrelated"
{
	fetch = "select sn_relatedlinks from tr_relatedlinks where id_parent = '{id_parent}'";

	select = "select id, id_parent, id_state, id_type, id_parent, id_user, id_group, sn_nickname, 
		t2.sn_msgteaser sn_block_teaser, 
		sn_childcount, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount, sn_childcount xx_answercount, 
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y') 'sn_date' from tr_msgmain t1 
		left join ( tr_msgext t2 ) on ( t1.id = t2.id_main )
		where id in ( {entry} )";

}


table:"site.redirect"
{
	getid = "SELECT id_msg from tr_msgmapping where id_auto = '{id}'";	
}


table:"site.usercontent"
{
	contentcount = "select count(*) from tr_msgmain where id_state=64 and sn_msgbody != ''";
}


table:"site.searchseealso"
{
	select="select sn_relatedlinks from tr_msgrelated where id_parent = '{id_parent}'";
}


table:"site.blocklist"
{
	select="select * from {database}tr_blocklist";
	update="update {database}tr_blocklist set sn_body='{sn_body}' where id='{id}'";
}


table:"site.categories"
{
	on_create_categories = "select * from {database}tr_msgcategories order by id";

}


table:"webgroupmgr"
{
	
	select = "SELECT id, id_state, sn_groupname, sn_groupdescription, sn_groupkeys, sn_groupicon, sn_groupicon_small from tr_group order by sn_groupposition";
	
	count_one = "select count(*) 'sn_count' from tr_message where id_type='posting' and id_group='{id}'";
	
}


table:"sxpageforum"
{	
	
	on_overview = "select t1.id, t1.id id2, t1.id_state, t1.id_parent, t1.id_type, t1.id_user, t1.sn_msgsubject, 
		t2.sn_msgteaser sn_block_teaser, 
		t1.sn_msgbody, t1.sn_childcount xx_answercount, t1.sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date', t1.sn_nickname 
		from tr_msgmain t1, tr_msgext t2
		where t1.id = t2.id_main and  t1.id_type = '{id_type}' 
		order by t1.sn_datemodified desc";

	on_fetch_teaser_ids = "SELECT group_concat( id_main ) from ( SELECT id_main FROM tr_teaserentries where ( now() - sn_datepublish ) > 0 
		order by ( now() - sn_datepublish ) asc limit 3 ) as t1";

	on_fetch_teaser_entry = "select  t1.id, t1.id id2, t1.id_parent, t1.sn_msgsubject, t2.sn_msgteaser sn_block_teaser_flat, t3.sn_categoryname, t3.sn_categorykey, 
		DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date' 
		from tr_msgmain t1 left join( tr_msgext t2, tr_msgcategories t3, tr_msgcatmap t4 ) on (t1.id = t2.id_main and t3.id = t4.id_cat and t1.id = t4.id_faq  )
		where  t1.id = {entry} {sn_filter:and t1.id_state & 2 = 0} and t1.id_state & 196 = 0 ";
	
	
	on_fetch_news="select id, id_parent, id_type, id_state, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%H:%i') 'sn_date'
		from tr_msgmain t1 
		where t1.id_type = 'news' and t1.id_state & 2 = 0 and t1.id_state & 196 = 0 
  	order by sn_datemodified desc limit 5";

	on_fetch_top_news="select id, id id1, id id2, id_parent, id_type, id_state, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%H:%i') 'sn_date', t2.sn_msgteaser sn_block_teaser, t2.sn_msgteaser sn_block_teaser_short 
		from tr_msgmain t1, tr_msgext t2
		where t1.id = t2.id_main and  t1.id_type = 'news' and t1.id_state & 2 = 0 
		 and t1.id_state & 196 = 0
  	order by xx_hitcount desc limit 3";



	on_create =	"insert into tr_msgmain( id_type, id_state, id_user, sn_nickname, sn_nickmail, sn_msgsubject, sn_msgbody, 
	  sn_datecreated, sn_datemodified, id_group, sn_senderip ) 
		values ( 'posting', {id_state:1}, {id_user}, '{sn_nickname}', '{sn_nickmail}', '{sn_msgsubject}', 
		'{sn_msgbody}', now(), now(), {id_group}, '{sn_senderip}' );
		
		update tr_msgmain set id_parent=LAST_INSERT_ID() where id=LAST_INSERT_ID();
		
		insert into tr_msgcache( id_parent, id_type, id_state, id_group, id_user, sn_msgsubject, sn_nickname, 
		sn_datemodified, sn_datecreated ) 
		values ( LAST_INSERT_ID(), 'posting', {id_state:1}, {id_group}, '{id_user}', '{sn_msgsubject}', '{sn_nickname}',  now(), now() );

		update users.tr_user set sn_numquestions= sn_numquestions+1  where id = '{id_user}'	";
	

	on_edit = "SELECT * from tr_msgmain where id = '{id}'";

	on_update	=	"update tr_msgmain set sn_msgsubject='{sn_msgsubject}', sn_childcount={sn_childcount},
		 sn_nickname = '{sn_nickname}', sn_nickmail='{sn_nickmail}', id_state={id_state}, id_group='{id_group}',
		sn_msgbody='{sn_msgbody}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}', 
		id_user='{id_user}'	where id='{id}';
		
		update tr_msgcache set id_user={id_user}, id_state='{id_state}', sn_childcount={sn_childcount},
		sn_msgsubject='{sn_msgsubject}', id_group='{id_group}',
		sn_nickname = '{sn_nickname}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}'  
		where id_parent='{id}'	";
		
	on_remove = "update tr_msgmain set id_state = 2 where id_parent = '{id}';

		update tr_msgcache set id_state = 2 where id_parent = '{id}' ";
			
	insert_id = "select LAST_INSERT_ID()";
	
	on_set_state = "update tr_msgmain set id_state = {id_state} where id = '{id}';

		update tr_msgcache set id_state = {id_state} where id_parent = '{id}' ";
		
		
	solvedcheck		= "select id_user from tr_msgmain where id='{id}'";

	posting_vote0 = "select count(*) from tr_votecount where id_user ='{id_user}' and id_posting='{id}'";		
	posting_vote1 = "select count(*) from tr_votecount where year(sn_datecreated) = year(CURDATE()) 
		and DAYOFYEAR(sn_datecreated) = DAYOFYEAR(CURDATE()) and id_user ='{id}'";		
	posting_vote2 = "insert into tr_votecount values( '{id_user}', '{id}', now(), '{sn_senderip}' )";
	posting_vote3 = "update tr_msgmain set sn_votecount = sn_votecount + 1 where id='{id}'";		
	posting_vote4 = "update users.tr_user set sn_numreasonable = sn_numreasonable + 1 where id='{id}'";	
	
	on_drop_alert = "update tr_msgmain set id_state = id_state & ~8 where sn_nickmail='{sn_nickmail}' and id_parent = '{id_parent}'";
	
	on_bookmark = "replace into tr_msgwatch( id_parent, id_user, sn_datemodified ) select id_parent, '{id_user}', sn_datemodified from tr_msgmain where id = '{id}'";
	on_bookmark_drop = "delete from tr_msgwatch where id_user='{id_user}' and id_parent='{id}' ";
	on_bookmark_update = "update tr_msgwatch set sn_datemodified=now() where id_user='{id_user}' and id_parent='{id}'";
	
	on_fetch_header = "select id_group,	id_state, id_type, sn_msgsubject, sn_msgbody sn_block_posting from tr_msgmain t1 where id_parent='{id}' {sn_filter} 
		order by sn_datecreated limit 1"; 
	
	on_tmp_create =	"insert into users.tr_msgtmp( sn_key, id_parent, id_type, id_state, sn_msgsubject, sn_msgbody, sn_datecreated, 
		id_group, sn_lastpath, sn_senderip ) values ( '{sn_key}', 0, 'posting',  {id_state:1}, '{sn_msgsubject}', '{sn_msgbody}', now(), {id_group}, '{sn_lastpath}','{sn_senderip}' ); ";
		

	on_user_update	=	"update tr_msgmain set sn_msgbody='{sn_msgbody}' where id='{id}';
		
		delete from tr_msgcache where id_parent = '{id}' ";		
	
	
}



	
	
	
	

table:"sxpageforum.overview"
{
	on_overview = "select id_parent, id_type, id_state, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date' from tr_msgcache t1 
		where id_group != 30 and id_group != 13  and id_type = 'posting' 

		{sn_filter}
  	order by sn_datemodified desc limit {from}, {xcount}";
	
	on_count = "select count(*) from tr_msgcache t1 
		where id_group != 30 and id_group != 13  and id_type = 'posting' 

	 {sn_filter} ";
	
}


table:"sxpageforum.groups"
{
	on_show_group = "select id_parent, id_type, id_state, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date' from tr_msgmain t1 
		where id_type = 'posting' and id_group='{id}' {sn_filter}  and t1.id_state & 196 = 0 
		order by sn_datemodified desc limit {count}, {max}";
		
	on_count = "select count(*) from tr_msgmain t1 where id_type = 'posting' and 
		id_group = '{id_group}' {sn_filter}   and t1.id_state & 196 = 0 ";			
}


table:"sxpageforum.show"
{
	on_show = "select id_group, id_type, id_user, id, id_parent, id_state, sn_nickname, sn_nickname, sn_nickmail,  
		sn_msgsubject, sn_msgbody sn_block_article, sn_accesscount xx_hitcount, DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date', 
		sn_datecreated, sn_senderip, (to_days(CURDATE()) - to_days(sn_datemodified)) 'sn_age', 
		sn_votecount from tr_msgmain t1 where id_parent='{id}' {sn_filter} 
		order by sn_datecreated; 

		update tr_msgmain set sn_accesscount = sn_accesscount + 1 where id = '{id}';

		update tr_msgcache set sn_accesscount = sn_accesscount + 1 where id_parent = '{id}'";


}


table:"sxpageforum.comments"
{	

	on_close_check = "SELECT (id_state & 34 > 0) flag from tr_msgmain where id = '{id}'";

	
	on_reply_create = "insert into tr_msgmain( id_group, id_state, id_type, id_user, id_parent, sn_msgsubject, sn_msgbody, 
		sn_nickname, sn_nickmail, sn_datecreated, sn_datemodified, sn_senderip ) 
		values ( {id_group}, {id_state:1}, 'reply', {id_user}, {id}, '{sn_msgsubject}', '{sn_msgbody}', '{sn_nickname}', 
		'{sn_nickmail}', now(), now(), '{sn_senderip}' );
		
		update tr_msgmain set sn_childcount = sn_childcount + 1, sn_datemodified =  now() where id = '{id}'; ";


	on_cache_update = "update tr_msgcache set sn_childcount = sn_childcount + 1, sn_datemodified =  now() where id_parent = '{id}'";


	on_cache_insert = "insert into tr_msgcache SELECT id_parent, id_type, id_state, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_datecreated, now(), sn_accesscount from tr_msgmain where  id  = '{id}'";
	

	on_reply_edit = "select * from tr_msgmain where id = '{id}'";
	

	on_reply_update = "update tr_msgmain set id_user={id_user}, id_state={id_state}, id_group = {id_group}, sn_nickname = '{sn_nickname}',
		sn_nickmail='{sn_nickmail}', sn_msgbody='{sn_msgbody}', sn_datecreated = '{sn_datecreated}', 
		sn_datemodified = '{sn_datemodified}'	where id='{id}'";
	
	
	on_reply_user_update	=	"update tr_msgmain set sn_msgbody='{sn_msgbody}' where id='{id}'";
	
	
	on_fetch_date = "select count(*), max(sn_datecreated) from tr_msgmain 
		where id_parent = '{id_parent}' and id != '{id}' and id_state & 2 = 0";	


	on_reply_remove = "update tr_msgmain set id_state = 2 where id = '{id}';
	
		update tr_msgmain set sn_childcount = '{count}', sn_datemodified='{date}' where id = '{id_parent}'; 
	
		update tr_msgcache set sn_childcount = '{count}', sn_datemodified='{date}' where id_parent = '{id_parent}'; ";
	
	
	on_childcount = "select count(*) from tr_msgmain where id_parent = '{id_parent}' and id != id_parent and id_state & 2 = 0";	


	on_update_childcount = "update tr_msgmain set sn_childcount = '{count}' where id = '{id_parent}'; 
	
		update tr_msgcache set sn_childcount = '{count}' where id_parent = '{id_parent}'; ";
	
	
	on_count = "select count(*) from tr_msgmain t1 where id_parent='{id}' {sn_filter} ";

	on_tmp_reply_create =	"insert into users.tr_msgtmp( sn_key, id_parent, id_type, id_state, sn_msgsubject, sn_msgbody, 
		sn_datecreated, id_group, sn_lastpath, sn_senderip ) 
		values ( '{sn_key}', {id}, 'reply',  {id_state:1}, '{sn_msgsubject}', '{sn_msgbody}', now(), 
		{id_group}, '{sn_lastpath}', '{sn_senderip}' ); ";
	
}


table:"sxpageforumthread"
{	
	extends = "sxpageforum";
}

table:"sxpageforumthread.show"
{
	extends = "sxpageforum.show";
}

table:"sxpageforumthread.comments"
{
	extends = "sxpageforum.comments";
}

table:"sxpageforumthread.overview"
{	
	extends = "sxpageforum.overview";
}



table:"sxpageforumold"
{	
	extends = "sxpageforum";
}

table:"sxpageforumold.show"
{
	extends = "sxpageforum.show";
}

table:"sxpageforumold.comments"
{
	extends = "sxpageforum.comments";
}

table:"sxpageforumold.overview"
{	
	extends = "sxpageforum.overview";
}



table:"sxpageforumoverview"
{	
	extends = "sxpageforum";
}

table:"sxpageforumoverview.show"
{
	extends = "sxpageforum.show";
}

table:"sxpageforumoverview.comments"
{
	extends = "sxpageforum.comments";
}

table:"sxpageforumoverview.overview"
{	
	on_overview = "select id_parent, id_parent id, id_type, id_state, id_user, id_group, sn_nickname, t2.sn_msgteaser sn_block_teaser, 
		sn_childcount xx_answercount, sn_msgsubject xx_threadlink, t2.sn_msgteaser, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date' from tr_msgcache t1 left join tr_msgext t2 on ( t1.id_parent = t2.id_main ) 		
		where id_group != 30 and id_group != 13 and t1.id_state & 196 = 0

		{sn_filter}
  	order by sn_datemodified desc limit {from}, {xcount}";
	
	on_count = "select count(*) from tr_msgcache t1 
		where id_group != 30 and id_group != 13  and id_type = 'posting' 
		 
	 {sn_filter} ";
}



table:"sxpageforumstart"
{	
	extends = "sxpageforum";
}

table:"sxpageforumstart.show"
{
	extends = "sxpageforum.show";
}

table:"sxpageforumstart.comments"
{
	extends = "sxpageforum.comments";
}

table:"sxpageforumstart.overview"
{	
	
	on_overview = "select id_parent id, id_parent, id_type, id_state, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date' from tr_msgcache t1 
		where id_group != 30 and id_group != 13  		
		{sn_filter}
		order by sn_childcount desc limit {from}, {xcount}";
	
	on_count = "select count(*) from tr_msgcache t1 
		where id_group != 30 and id_group != 13  and id_type = 'posting' 

		{sn_filter} ";
		
	create="drop table IF EXISTS tr_msgcache;CREATE TABLE tr_msgcache 
		select id id_parent, id_type, id_state, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_datecreated, sn_datemodified, sn_accesscount from tr_msgmain  where id_group != 13 
		and (id_type = 'posting' or id_type = 'faqs' or id_type = 'news' ) and id_state != 64  order by sn_datemodified desc limit 0,5000;";

}


table:"sxpageforumstart.draft"
{
	fetch_draft = "select id from tr_msgmain where id_state = 64 and id_type = 'posting' and id_user = '{id_user}'";
	
	create_draft = "insert into tr_msgmain( id_type, id_state, id_user, sn_datecreated ) values ( 'posting', 64, '{id_user}', now() )";
	
	draft_id = "select LAST_INSERT_ID()";
	
	on_draft_update  = "update tr_msgmain set id_parent='{id_parent}', id_type='{id_type}', id_state='{id_state}', id_group='{id_group}', sn_msgsubject = '{sn_msgsubject}', 
		sn_msgbody = '{sn_msgbody}', sn_nickname = '{sn_nickname}', sn_nickmail = '{sn_nickmail}', sn_senderip = '{sn_senderip}', 
		sn_datecreated = now(), sn_datemodified = now() 
		where id = '{id}'";

	vote_count = "select count(*) from tr_imagevotecount where id_user = '{id_user}' and sn_imgname = '{sn_imgname}'";
	
	vote_image = "insert into tr_imagevotecount( id_user, flag_good_vote, sn_imgname, sn_datecreated, sn_senderip )
		values( '{id_user}', '{flag_good}', '{sn_imgname}', now(), '{sn_senderip}' );

		update tr_image set {count} = {count} + 1 where sn_imgname = '{sn_imgname}'";

	vote_admin = "update tr_image set id_state = '{id_state}' where sn_imgname = '{sn_imgname}'";
}	
	

table:"sxpageforumgroups"
{	
	extends = "sxpageforum";
}

table:"sxpageforumgroups.show"
{
	extends = "sxpageforum.show";
}

table:"sxpageforumgroups.comments"
{
	extends = "sxpageforum.comments";
}

table:"sxpageforumgroups.overview"
{	
	extends = "sxpageforum.overview";
}


table:"sxpageforumgroups.groups"
{	
	extends = "sxpageforum.groups";
}






table:"sxpagefaqs"
{	

	on_create_dossiers = "select * from tr_msgdossiers order by id";
	
	on_create =	"insert into tr_msgmain( id_type, id_user, sn_nickname, sn_nickmail, sn_msgsubject, sn_msgbody, sn_datecreated, sn_datemodified, 
		sn_senderip ) values ( 'faqs', {id_user}, '{sn_nickname}', '{sn_nickmail}', '{sn_msgsubject}', '{sn_msgbody}', now(), 
		now(), '{sn_senderip}' );
		
		update tr_msgmain set id_parent=LAST_INSERT_ID() where id=LAST_INSERT_ID();
		
		insert into tr_msgext( id_main, sn_msgteaser, sn_msgkeys, sn_msgtags ) 
		values ( LAST_INSERT_ID(), '{sn_msgteaser}', '{sn_msgkeys}', '{sn_msgtags}' );
	
		insert into tr_msgcache( id_parent, id_type, id_user, sn_msgsubject, sn_nickname, sn_datemodified, sn_datecreated ) 
		values ( LAST_INSERT_ID(), 'faqs', '{id_user}', '{sn_msgsubject}', '{sn_nickname}',  now(), now() )";
	
	

	on_user_create =	"insert into tr_msgmain( id_type, id_state, id_user, sn_nickname, sn_nickmail, sn_msgsubject, sn_msgbody, 
		sn_datecreated, sn_datemodified, sn_senderip ) 
		values ( 'faqs', 160, {id_user}, '{sn_nickname}', '{sn_nickmail}', 'Titel', '', now(), now(), '{sn_senderip}' );
		
		update tr_msgmain set id_parent=LAST_INSERT_ID() where id=LAST_INSERT_ID();
		
		insert into tr_msgext( id_main, sn_msgteaser ) values ( last_insert_id(), 'Einleitung' ) ";
		
	
	on_user_update	=	"update tr_msgmain set sn_msgsubject='{sn_msgsubject}', sn_msgbody='{sn_msgbody}' where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}', sn_msgtags='{sn_msgtags}', sn_msgvgwort='{sn_msgvgwort}' 
			where id_main = '{id}';

		delete from tr_msgcache where id_parent = '{id}' ";

	on_user_publish	=	"update tr_msgmain set id_state='{id_state}', sn_msgsubject='{sn_msgsubject}', sn_msgbody='{sn_msgbody}' where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}', sn_msgtags='{sn_msgtags}', sn_msgvgwort='{sn_msgvgwort}' 
			where id_main = '{id}';

		delete from tr_msgcache where id_parent = '{id}' ";
	
	
	on_edit = "SELECT * from tr_msgmain t1, tr_msgext t2 where t1.id = t2.id_main and t1.id = '{id}'";

	on_edit_categories = "SELECT group_concat( id_cat ) sn_msgcategories, group_concat( sn_categoryname ) sn_msgcatpath 
		FROM tr_msgcatmap t1, tr_msgcategories t2	where t1.id_faq ='{id}' and t2.id = t1.id_cat";

	on_publish = "insert ignore into tr_msgcache( id_parent, id_type, sn_datecreated, sn_datemodified ) values( '{id}', 'faqs', now(), now() )";

	on_update	=	"update tr_msgmain set sn_msgsubject='{sn_msgsubject}', sn_childcount={sn_childcount},
		sn_nickname = '{sn_nickname}', sn_nickmail='{sn_nickmail}', id_state={id_state}, 
		sn_msgbody='{sn_msgbody}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}', 
		id_user='{id_user}'	where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}',	sn_msgkeys='{sn_msgkeys}', sn_msgvgwort='{sn_msgvgwort}',
		sn_msgtags ='{sn_msgtags}' where id_main = '{id}';
	
		update tr_msgcache set id_user={id_user}, sn_childcount={sn_childcount},
		sn_msgsubject='{sn_msgsubject}',  id_state='{id_state}', 
		sn_nickname = '{sn_nickname}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}'  
		where id_parent='{id}'	";

	on_remove = "update tr_msgmain set id_state = 2 where id_parent = '{id}';

		update tr_msgcache set id_state = 2 where id_parent = '{id}' ";
					
	on_set_state = "update tr_msgmain set id_state = {id_state} where id = '{id}';

		update tr_msgcache set id_state = {id_state} where id_parent = '{id}' ";		
			
	on_show_category = "select t1.id, 1 id_group, t1.id_parent, t1.id_user, t1.sn_msgsubject xx_threadlink, t1.sn_msgbody, t2.sn_msgteaser xx_msgteaser, 
		t1.id id2, t1.id_state, t1.id_type, t1.sn_childcount xx_answercount,
		t1.sn_accesscount xx_hitcount, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date', t1.sn_nickname   
		from tr_msgmain t1, tr_msgext t2 where t1.id_type = 'faqs' and t1.id = t2.id_main and id in 
		( select id_faq from tr_msgcatmap where id_cat in ( {categories} )  ) {sn_filter} 
		order by t1.sn_datecreated desc limit {from}, {xcount}";
		

	on_update_category = "delete from tr_msgcatmap where id_faq = '{id}'; insert  into tr_msgcatmap( id_faq, id_cat ) values {values}";
	
	on_bookmark = "replace into tr_msgwatch( id_parent, id_user, sn_datemodified ) select id_parent, '{id_user}', sn_datemodified from tr_msgmain where id = '{id}'";
	
	on_bookmark_drop = "delete from tr_msgwatch where id_user='{id_user}' and id_parent='{id}' ";
	
	on_bookmark_update = "update tr_msgwatch set sn_datemodified=now() where id_user='{id_user}' and id_parent='{id}'";
	


		
	on_count = "	select count(*) from tr_msgmain t1, tr_msgext t2
		where t1.id_type = 'faqs'  and t1.id = t2.id_main and t2.fon:fetch like '%{id_category}|%' {sn_filter} ";
		
	on_fetch_categories = "select id_cat from tr_msgcatmap where id_faq = '{id}'";
	
	on_admin_categories = "select *,id id1, id id2 from tr_msgcategories order by id";
	
	on_admin_categories_kill = "delete from tr_msgcategories where id='{id}'";
	
	on_admin_categories_update = "update tr_msgcategories set id_parent= '{id_parent}', sn_categoryname = '{sn_categoryname}',
		sn_categorykey = '{sn_categorykey}', sn_categorytitle = '{sn_categorytitle}'	where id='{id}'";

	on_admin_categories_create = "insert into tr_msgcategories values('{id}', '{id_parent}', '{sn_categoryname}',
		'{sn_categorykey}', '{sn_categorytitle}' )";




	on_admin_teaser_box = "select t1.id_main id_parent, t1.id_main id, t1.id_main id1 ,t1.id_main id2, DATE_FORMAT( sn_datepublish,'%d.%m.%Y, %H:%i' ) 'sn_date', sn_msgsubject, 
		sn_msgteaser  sn_block_teaser, sn_datepublish 
		from tr_teaserentries t1 left join ( tr_msgmain t2, tr_msgext t3 ) on (t1.id_main = t2.id and t1.id_main = t3.id_main ) 
		where t2.id_type = 'faqs'
		order by sn_datepublish desc";

	on_admin_teaser_box_create = "replace into tr_teaserentries values ( '{id}', STR_TO_DATE( '{sn_datepublish}', '%d.%m.%Y, %H:%i' ) )";
	
	on_admin_teaser_box_add = "replace into tr_teaserentries values ( '{id}', now() )";
	
	on_admin_teaser_box_kill = "delete from tr_teaserentries where id_main = '{id}'";



}




table:"sxpagefaqs.dossiers"
{	
	
	on_fetch_dossier = "select id, sn_msgsubject from tr_msgmain 
		where id_type='faqs' and id in ( {entries} )";
		
	on_admin_dossiers = "select *,id id1, id id2, DATE_FORMAT( sn_datecreated,'%d.%m.%Y') 'sn_date' from tr_msgdossiers order by id";
	
	on_admin_dossiers_kill = "delete from tr_msgdossiers where id='{id}'";
	
	on_admin_dossiers_create = "replace into tr_msgdossiers( id, sn_msgsubject, sn_msgentries, sn_datecreated ) 
		values( '{id}', '{sn_msgsubject}', '{sn_msgentries}', now() )";			
	
	on_admin_dossiers_update = "update tr_msgdossiers set sn_msgentries = '{sn_msgentries}' where id = '{id}'"; 
		
	on_search_faqs = "select id, id_group, id_parent, id_state, id_type, id_parent, id_user, sn_nickname, 
		sn_msgsubject xx_threadlink, sn_msgsubject, sn_msgbody, sn_childcount xx_anwsercount, t2.sn_msgteaser sn_block_teaser, 
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y') 'sn_date', t2.sn_msgteaser sn_block_teaser_flat, t2.sn_msgteaser xx_msgteaser 
		from tr_msgmain t1, tr_msgext t2
		WHERE t1.id = t2.id_main and MATCH ( t1.sn_msgsubject, t2.sn_msgteaser ) AGAINST ('{sn_keys}' IN BOOLEAN MODE ) and id_group != 13 and id_type = 'faqs' 		
		order by id desc";

	on_list_faqs = "select id, id_group, id_parent, id_state, id_type, id_parent, id_user, sn_nickname, t2.sn_msgteaser sn_block_teaser_flat,
		sn_msgsubject xx_threadlink, sn_msgsubject, sn_msgbody, sn_childcount xx_anwsercount, t2.sn_msgteaser sn_block_teaser, t2.sn_msgteaser xx_msgteaser,
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y') 'sn_date'
		from tr_msgmain t1, tr_msgext t2
		WHERE t1.id = t2.id_main and id_type = 'faqs' 		
		order by id desc limit 20";
		
}










table:"sxpagefaqs.show"
{	
	on_show = "select t1.id, t1.id id2, t1.id_parent, t1.id_type, t1.id_user, t1.sn_nickname, t1.sn_msgsubject, t2.sn_msgvgwort, 
		t2.sn_msgteaser, t1.sn_msgbody sn_block_article, t1.sn_childcount xx_answercount, t1.sn_accesscount xx_hitcount, t1.id_state, t1.sn_datemodified, 
		DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date', t1.id_group, t1.sn_senderip 
		from tr_msgmain t1, tr_msgext t2
		where t1.id_parent = t2.id_main and t1.id_parent = '{id}' {sn_filter} order by t1.sn_datecreated;

		update tr_msgmain set sn_accesscount = sn_accesscount + 1 where id = '{id}';
	
		update tr_msgcache set sn_accesscount = sn_accesscount + 1 where id_parent = '{id}'";
}


table:"sxpagefaqs.comments"
{	
	on_close_check = "SELECT (id_state & 34 > 0) flag from tr_msgmain where id = '{id}'";


	on_reply_create = "insert into tr_msgmain( id_group, id_type, id_user, id_parent, sn_msgsubject, sn_msgbody, 
		sn_nickname, sn_nickmail, sn_datecreated, sn_datemodified, sn_senderip ) 
		values ( {id_group}, 'comments', {id_user}, {id}, '{sn_msgsubject}', '{sn_msgbody}', '{sn_nickname}', 
		'{sn_nickmail}', now(), now(), '{sn_senderip}' );

		update tr_msgmain  set sn_childcount = sn_childcount + 1, sn_datemodified =  now() where id = '{id}';";
	

	on_cache_update = "update tr_msgcache set sn_childcount = sn_childcount + 1, sn_datemodified =  now() where id_parent = '{id}'";


	on_cache_insert = "insert into tr_msgcache SELECT id_parent, id_type, id_state, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_datecreated, now(), sn_accesscount from tr_msgmain where  id  = '{id}'";	


	on_reply_edit = "select * from tr_msgmain where id = '{id}'";
	

	on_reply_update = "update tr_msgmain set id_user={id_user}, id_state={id_state}, sn_nickname = '{sn_nickname}',
		sn_msgbody='{sn_msgbody}', sn_datecreated = '{sn_datecreated}', 
		sn_datemodified = '{sn_datemodified}'	where id='{id}'";
	
	on_fetch_date = "select count(*), max(sn_datecreated) from tr_msgmain 
		where id_parent = '{id_parent}' and id != '{id}' and id_state & 2 = 0";	


	on_reply_remove = "update tr_msgmain set id_state = 2 where id = '{id}';
	
		update tr_msgmain set sn_childcount = '{count}', sn_datemodified='{date}' where id = '{id_parent}'; 
	
		update tr_msgcache set sn_childcount = '{count}', sn_datemodified='{date}' where id_parent = '{id_parent}'; ";
	
	
	on_childcount = "select count(*) from tr_msgmain where id_parent = '{id_parent}' and id_state & 2 = 0";	


	on_update_childcount = "update tr_msgmain set sn_childcount = '{count}' where id = '{id_parent}'; 
	
		update tr_msgcache set sn_childcount = '{count}' where id_parent = '{id_parent}'; ";
	
	on_tmp_reply_create =	"insert into users.tr_msgtmp( sn_key, id_parent, id_type, id_state, sn_msgsubject, 
		sn_msgbody, sn_datecreated,  sn_lastpath, sn_senderip ) 
		values ( '{sn_key}', {id}, 'comments', {id_state:1}, '{sn_msgsubject}',	'{sn_msgbody}', 
		now(),  '{sn_lastpath}', '{sn_senderip}' ); ";
	
}


table:"sxpagesearch.faqs"
{
	on_search = "select 	t1.id,t1.id_parent, t1.id_user, t1.sn_nickname, t1.id_type, t1.sn_msgsubject xx_threadlink, 
		t1.id_group, DATE_FORMAT(t1.sn_datecreated,'%d.%m.%Y') 'sn_date', t1.sn_childcount xx_answercount, t1.sn_accesscount xx_hitcount 
		from tr_msgmain t1 WHERE 
		MATCH ( t1.sn_msgsubject ) AGAINST( '{sn_key}'  IN BOOLEAN MODE ) and t1.id_type = 'faqs' and t1.id_state & 1 != 0 
		order by t1.sn_datecreated desc limit 0, 5";
}











table:"sxpagenews"
{	


	on_create =	"insert into tr_msgmain( id_type, id_user, sn_nickname, sn_nickmail, sn_msgsubject, sn_msgbody, sn_datecreated, sn_datemodified, 
		sn_senderip ) values ( 'news', {id_user}, '{sn_nickname}', '{sn_nickmail}', '{sn_msgsubject}', '{sn_msgbody}', now(), 
		now(), '{sn_senderip}' );
		
		update tr_msgmain set id_parent=LAST_INSERT_ID() where id=LAST_INSERT_ID();
		
		insert into tr_msgext( id_main, sn_msgteaser, sn_msgkeys, sn_msgtags ) 
		values ( LAST_INSERT_ID(), '{sn_msgteaser}', '{sn_msgkeys}', '{sn_msgtags}' );
	
		insert into tr_msgcache( id_parent, id_type, id_user, sn_msgsubject, sn_nickname, sn_datemodified, sn_datecreated ) 
		values ( LAST_INSERT_ID(), 'news', '{id_user}', '{sn_msgsubject}', '{sn_nickname}',  now(), now() )";
	
	

	on_user_create =	"insert into tr_msgmain( id_type, id_state, id_user, sn_nickname, sn_nickmail, sn_msgsubject, sn_msgbody, 
		sn_datecreated, sn_datemodified, sn_senderip ) 
		values ( 'news', 160, {id_user}, '{sn_nickname}', '{sn_nickmail}', 'Titel', '', now(), now(), '{sn_senderip}' );
		
		update tr_msgmain set id_parent=LAST_INSERT_ID() where id=LAST_INSERT_ID();
		
		insert into tr_msgext( id_main, sn_msgteaser ) values ( last_insert_id(), 'Einleitung' ) ";
		
	
	on_user_update	=	"update tr_msgmain set sn_msgsubject='{sn_msgsubject}', sn_msgbody='{sn_msgbody}' where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}', sn_msgtags='{sn_msgtags}', sn_msgvgwort='{sn_msgvgwort}' 
			where id_main = '{id}';

		delete from tr_msgcache where id_parent = '{id}' ";

	
	on_user_publish	=	"update tr_msgmain set id_state='{id_state}', sn_msgsubject='{sn_msgsubject}', sn_msgbody='{sn_msgbody}' where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}', sn_msgtags='{sn_msgtags}', sn_msgvgwort='{sn_msgvgwort}' 
			where id_main = '{id}';

		delete from tr_msgcache where id_parent = '{id}' ";


	on_edit = "SELECT * from tr_msgmain t1, tr_msgext t2 where t1.id = t2.id_main and t1.id = '{id}'";

	on_publish = "insert ignore into tr_msgcache( id_parent, id_type, sn_datecreated, sn_datemodified ) values( '{id}', 'news', now(), now() )";

	on_update	=	"update tr_msgmain set sn_msgsubject='{sn_msgsubject}', sn_childcount={sn_childcount},
		sn_nickname = '{sn_nickname}', sn_nickmail='{sn_nickmail}', id_state={id_state}, 
		sn_msgbody='{sn_msgbody}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}', 
		id_user='{id_user}'	where id='{id}';
		
		update tr_msgext set  sn_msgteaser='{sn_msgteaser}',	sn_msgkeys='{sn_msgkeys}', sn_msgvgwort='{sn_msgvgwort}',
		sn_msgtags ='{sn_msgtags}' where id_main = '{id}';
	
		update tr_msgcache set id_user={id_user}, sn_childcount={sn_childcount},
		sn_msgsubject='{sn_msgsubject}',  id_state='{id_state}', 
		sn_nickname = '{sn_nickname}', sn_datecreated = '{sn_datecreated}', sn_datemodified = '{sn_datemodified}'  
		where id_parent='{id}'	";

	on_remove = "update tr_msgmain set id_state = 2 where id_parent = '{id}';

		update tr_msgcache set id_state = 2 where id_parent = '{id}' ";
					
	on_set_state = "update tr_msgmain set id_state = {id_state} where id = '{id}';

		update tr_msgcache set id_state = {id_state} where id_parent = '{id}' ";		

	get_next_entry = "SELECT id from  tr_msgmain  use index(index_id_type) 
		where sn_datemodified > ( select sn_datemodified from tr_msgmain where id = '{id}' )
			{sn_filter} and id_type='news' order by sn_datemodified asc limit 1";
	
	get_previous_entry = "SELECT id from  tr_msgmain use index(index_id_type) 
		where sn_datemodified < ( select sn_datemodified from tr_msgmain where id = '{id}' ) 
			{sn_filter} and id_type='news' order by sn_datemodified desc limit 1";	
			


	
	on_bookmark = "replace into tr_msgwatch( id_parent, id_user, sn_datemodified ) select id_parent, '{id_user}', sn_datemodified from tr_msgmain where id = '{id}'";
	
	on_bookmark_drop = "delete from tr_msgwatch where id_user='{id_user}' and id_parent='{id}' ";
	
	on_bookmark_update = "update tr_msgwatch set sn_datemodified=now() where id_user='{id_user}' and id_parent='{id}'";
	

}






table:"sxpagenews.overview"
{
	
	on_overview = "select t1.id, t1.id id2, t1.id_state, t1.id_parent, t1.id_type, t1.id_user, t1.sn_msgsubject, 
		t2.sn_msgteaser sn_block_teaser, 	t2.sn_msgteaser xx_msgteaser, 
		t1.sn_msgbody, t1.sn_childcount xx_answercount, t1.sn_msgsubject xx_threadlink, sn_accesscount xx_hitcount,
		DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date', t1.sn_nickname 
		from tr_msgmain t1, tr_msgext t2
		where t1.id = t2.id_main and  t1.id_type = '{id_type}' {sn_filter:and t1.id_state & 2 = 0} and t1.id_state & 196 = 0 
		order by t1.sn_datemodified desc";
}



table:"sxpagenews.show"
{	
	extends = "sxpagefaqs.show";
}


table:"sxpagenews.comments"
{	
	extends = "sxpagefaqs.comments";
}










































table:"sxpagesearch"
{
	
	on_search = "select id, id_parent, id_state, id_type, id_parent, id_user, id_group, sn_nickname, 
		sn_childcount xx_answercount, sn_msgsubject xx_threadlink, sn_msgsubject, sn_msgbody xx_msgteaser, sn_accesscount xx_hitcount, 
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y') 'sn_date' from tr_msgmain t1 
		WHERE MATCH ( {field} ) AGAINST ('{sn_key}' IN BOOLEAN MODE ) {type} and id_group != 13 
		and id_type != 'comments' {sn_filter} and {group} {questions}
		group by id_parent 
		order by {orderby} limit 0, 200";	


	threadwatch="select (t1.sn_datemodified > t2.sn_datemodified) xx_flag_new, t1.id_type, t1.id_state, t1.id_parent, 
		t1.id_user, t1.id_group, t1.sn_nickname, t1.sn_childcount xx_answercount, t1.sn_msgsubject  xx_threadlink, 
		t1.sn_accesscount xx_hitcount, 	DATE_FORMAT( t1.sn_datemodified,'%d.%m.%Y') 'sn_date', t1.id, t1.sn_senderip 
		from tr_msgmain t1, tr_msgwatch t2
		WHERE t1.id = t2.id_parent and t2.id_user='{id}' 
		group by t2.id order by t2.id asc";
		


}







table:"sxpagesearchadmin"
{
	on_search = "select id_type, id, id_state, id_parent, id_user, id_group, sn_nickname, sn_childcount xx_answercount, 
		sn_msgsubject xx_threadlink,	sn_msgbody sn_block_article, sn_senderip, sn_accesscount xx_hitcount, 
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y, %k:%i') 'sn_date' from tr_msgmain 
		WHERE 1 != 0 {flip} {flgroup} {fltype} {fldate1} {fldate2} {flnick} {flmail} {flsubject} {flbody}	
		order by sn_datemodified desc limit 0, 200";

	on_reply_remove = "update tr_msgmain set id_state = 2 where id = '{id}';

		update tr_msgmain set sn_childcount = sn_childcount - 1 where id = '{id_parent}'; 
	
		update tr_msgcache set sn_childcount = sn_childcount - 1 where id_parent = '{id_parent}' ";
	
	on_remove = "update tr_msgmain set id_state = 2 where id_parent = '{id}';

		update tr_msgcache set id_state = 2 where id_parent = '{id}' ";
		
	on_clean_user_content = "delete from tr_msgmain where (to_days(CURDATE()) - to_days(sn_datecreated)) > 1 and id_state = 64 and sn_msgbody=''"; 

	on_show_user_content = "select id, id id2, id_state, id_type, id_type id_type2, id_user, sn_nickname, id_group, sn_msgsubject, DATE_FORMAT(sn_datecreated,'%d.%m.%Y')
		'sn_date' from tr_msgmain where id_state = 64 and sn_msgbody != '' order by sn_datecreated desc";	
	
	on_show_user_images = "select *, id_parent id_parent1, sn_imgname sn_imgname1, sn_imgname sn_imgname2,sn_imgname sn_imgname3,
		sn_imgname sn_imgname4,	sn_imgname sn_imgname5, DATE_FORMAT(sn_datecreated,'%d.%m.%Y')'sn_date', sn_threadpath sn_threadpath1, 
		sn_threadpath sn_threadpath2, sn_imgpath sn_imgpath1, sn_imgpath sn_imgpath2 
		from tr_image order by sn_datecreated desc";
	
	on_show_user_image_votes = "SELECT t1.*, t2.sn_nickname, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y') 'sn_date',
		IF( t1.flag_good_vote = 1, 'Gut' , 'Schlecht' ) sn_flag_good_vote 
		from tr_imagevotecount t1 left join( users.tr_user t2 ) on (t1.id_user = t2.id )
		where t1.sn_imgname = '{sn_imgname}' 
		order by sn_datecreated desc";		
		


}





table:"sxpagemembers"
{
	
	on_overview = "select id, id id_user, sn_nickname, sn_homepagehits, sn_memberbonus, sn_numquestions, sn_numanswers, 
		sn_numreasonable, sn_numsolutions, sn_numvotes,	DATE_FORMAT( sn_datecreated, '%d.%m.%Y' ) sn_datecreated1, 
		DATE_FORMAT( sn_datelastlogin, '%d.%m.%Y') sn_datelastlogin1 
		from tr_user where {condition} order by {orderby} {mode} limit {count}, {max}";	
	
	on_admin_search = "select id, id id_user, sn_nickname, sn_firstname, sn_lastname, sn_homepagehits, 
		sn_memberbonus, sn_numquestions, sn_numanswers, sn_numreasonable, sn_numsolutions, sn_numvotes,	sn_city,
		DATE_FORMAT( sn_datecreated,'%d.%m.%Y') 'sn_datecreated1', sn_nickmail, sn_firstmail, sn_senderip,
		DATE_FORMAT( sn_datelastlogin,'%d.%m.%Y') 'sn_datelastlogin1',
		sn_homepagetext sn_homepage_short, sn_mailalert 
		from tr_user where {condition} order by {orderby} {mode} limit {count}, {max}";
	

	on_count = "select count(*) from tr_user where {conditon}";
  
	member_show = "select IF ( flag_male = 0 ,'Herr', 'Frau' ) sn_sex, id id_parent, id, id id2, sn_nickname, sn_memberbonus, 
		sn_numquestions, sn_numanswers, 	sn_numreasonable, sn_numsolutions, sn_numvotes, 
		sn_firstname, sn_lastname, sn_street, sn_zipcode, sn_city, sn_firstmail, sn_senderip, 
		sn_nickmail, sn_icqs, DATE_FORMAT( sn_datelastlogin,'%d.%m.%Y') 'sn_datelastlogin', sn_street, flag_male,
		DATE_FORMAT( sn_datecreated,'%d.%m.%Y') 'sn_datecreated', 
		 sn_itemsperpage, sn_homepagetext, sn_homepagetext sn_block_article, sn_homepagelink , sn_homepagelink 'sn_homepagelink2', 
		 sn_homepageimage, sn_homepagehits, 
		 sn_addressbook, sn_googlechannel1, sn_googlechannel2 from tr_user where id='{id}'";
	
		 	
	select_votes="select ' ' sn_online, id, sn_nickname, sn_memberbonus, sn_numquestions, sn_numanswers, 
		sn_numreasonable, sn_numsolutions, sn_numvotes from tr_user order by {sort} desc limit {count}, {max}";
	
	
	member_guestbook = "select t1.id, t1.id_user, t1.id_sender, t1.sn_msgbody sn_block_posting, t2.sn_nickname, 
                DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date', t1.sn_senderip
                from tr_guestbook t1, tr_user  t2 where t1.id_user='{id_user}' and t1.id_sender = t2.id";
	
	on_reply_create = "insert into tr_guestbook( id_user, id_sender, sn_msgbody, sn_datecreated, sn_senderip ) 
		values ( {id_user}, {id_sender}, '{sn_msgbody}', now(), '{sn_senderip}' )";
	
	
	
	on_friend_invite="insert into tr_friends( id_user, id_friend, sn_datecreated )  values ( '{id_user}', '{id_friend}', now() )";
	
	on_friend_accept="update tr_friends set id_state='accepted', sn_datecreated = now() 
		where id_user = '{id_user}' and id_friend='{id_friend}'";

	on_friend_drop="update tr_friends set id_state='dropped', sn_datecreated = now() 
		where id_user = '{id_user}' and id_friend='{id_friend}'";

	
	member_invitations_sent = "select t1.id_user, t1.id_friend, t2.sn_firstname, t2.sn_lastname, t2.sn_homepagehits, t2.id, 
		t2.sn_memberbonus, t2.sn_numquestions, t2.sn_numanswers, 
		t2.sn_numreasonable, t2.sn_numsolutions, t2.sn_numvotes,	DATE_FORMAT( t2.sn_datecreated, '%d.%m.%Y' ) sn_datecreated1, 
		DATE_FORMAT( t2.sn_datelastlogin, '%d.%m.%Y') sn_datelastlogin1,
		t2.sn_nickname, t2.sn_city, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') sn_date 
		from tr_friends t1, tr_user t2 
		where t1.id_state='invited' and t1.id_friend = '{id_user}' 
		and t1.id_user = t2.id";
	
	member_invitations_received = "select t1.id_user, t1.id_friend, t2.sn_firstname, t2.sn_lastname, t2.sn_homepagehits, t2.id, 
		t2.sn_memberbonus, t2.sn_numquestions, t2.sn_numanswers, 
		t2.sn_numreasonable, t2.sn_numsolutions, t2.sn_numvotes,	DATE_FORMAT( t2.sn_datecreated, '%d.%m.%Y' ) sn_datecreated1, 
		DATE_FORMAT( t2.sn_datelastlogin, '%d.%m.%Y') sn_datelastlogin1,
		t2.sn_nickname, t2.sn_city, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') sn_date 
		from tr_friends t1, tr_user t2 
		where t1.id_state='invited' and t1.id_user = '{id_user}' 
		and t1.id_friend = t2.id order by t1.sn_datecreated desc limit 5";
	
	member_friends = "select t1.id_user, t1.id_friend, t2.sn_firstname, t2.sn_lastname, t2.sn_homepagehits, t2.id, 
		t2.sn_memberbonus, t2.sn_numquestions, t2.sn_numanswers, 
		t2.sn_numreasonable, t2.sn_numsolutions, t2.sn_numvotes,	DATE_FORMAT( t2.sn_datecreated, '%d.%m.%Y' ) sn_datecreated1, 
		DATE_FORMAT( t2.sn_datelastlogin, '%d.%m.%Y') sn_datelastlogin1,
		t2.sn_nickname, t2.sn_city, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') sn_date 
		from tr_friends t1, tr_user t2 
		where t1.id_state='accepted' and t1.id_user = '{id_user}' 
		and t1.id_friend = t2.id order by t1.sn_datecreated desc limit 5";


	member_visitors = "select t1.id_user, t1.sn_count sn_hits, t1.id_visitor, t2.sn_firstname, t2.sn_lastname,
		t2.sn_homepagehits, t2.id, t2.sn_memberbonus, t2.sn_numquestions, t2.sn_numanswers, 
		t2.sn_numreasonable, t2.sn_numsolutions, t2.sn_numvotes,	DATE_FORMAT( t2.sn_datecreated, '%d.%m.%Y' ) sn_datecreated1, 
		DATE_FORMAT( t2.sn_datelastlogin, '%d.%m.%Y') sn_datelastlogin1,
		t2.sn_nickname, t2.sn_city, DATE_FORMAT( t2.sn_datecreated,'%d.%m.%Y %k:%i') sn_date 
		from tr_visitors t1, tr_user t2 
		where t1.id_user = '{id_user}' 
		and t1.id_visitor = t2.id 
		order by t1.sn_datemodified desc limit 5";
	
	member_visitors_count = "select count(*) from tr_visitors 
		where id_user='{id_user}' and id_visitor='{id_visitor}'";
	
	member_visitors_insert = "insert into tr_visitors( id_user, id_visitor,  sn_datemodified )
	 values ( '{id_user}', '{id_visitor}', now() );
	 update tr_user set sn_homepagehits = sn_homepagehits + 1 where id = '{id_user}'";

	member_visitors_update = "update tr_visitors set sn_count = sn_count + 1, sn_datemodified = now()
		where id_user='{id_user}' and id_visitor='{id_visitor}';
		update tr_user set sn_homepagehits = sn_homepagehits + 1 where id = '{id_user}'";

	update_msg_tmp = "update tr_msgtmp set sn_nickname = '{sn_nickname}' where sn_key = '{sn_key}' ";
	
	check_msg_tmp = "select sn_lastpath from users.tr_msgtmp where sn_nickname = '{sn_nickname}'";
	
	copy_msg_tmp = "insert into {dbname}tr_msgmain( id_type, id_state, id_user, sn_nickname, sn_msgsubject, sn_msgbody, 
	  sn_datecreated, id_group, sn_senderip ) select id_type, id_state, {id_user}, sn_nickname, sn_msgsubject, sn_msgbody, 
	  sn_datecreated, id_group, sn_senderip from users.tr_msgtmp where sn_nickname = '{sn_nickname}';
		delete from tr_msgtmp where sn_nickname = '{sn_nickname}' ";



}


table:"sxpagemembers.content"
{

	on_overview = "select id, id_type, id_state, id_parent, id_user, id_group, sn_nickname, sn_childcount xx_answercount ,sn_msgsubject, 
		sn_accesscount xx_hitcount, t2.sn_msgteaser xx_msgteaser, sn_msgbody, DATE_FORMAT(sn_datecreated,'%d.%m.%Y, %H:%i') 'sn_date' 
		from tr_msgmain t1, tr_msgext t2 
		WHERE t1.id_parent = t2.id_main  and id_user={id} and id_state & 2 = 0 
		order by sn_datemodified desc limit 0, 200";

	on_search = "select id, id_parent, id_state, id_type, id_parent, id_user, id_group, sn_nickname, 
		sn_msgsubject xx_threadlink, sn_msgsubject, sn_childcount xx_answercount, 
		DATE_FORMAT(sn_datemodified,'%d.%m.%Y') 'sn_date' from tr_msgmain t1 
		WHERE MATCH ( {field} ) AGAINST ('{sn_key}' IN BOOLEAN MODE ) {type} and id_group != 13 
		and id_type != 'comments' {sn_filter} and {group} {questions}
		group by id_parent 
		order by {orderby} limit 0, 200";	
	
}





table:"sxpageadmin"
{

	
	
	admin_pager_overview = "select *, DATE_FORMAT( sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date'
  			from users.tr_pager_admin	order by sn_datecreated desc limit 50";
	

	admin_pager_kill_msg = "delete from users.tr_pager_admin where id='{id}';
			update tr_msgmain set id_state = id_state & ~4 where id='{id_parent}';
			update tr_msgcache set id_state = id_state & ~4 where id_parent='{id_parent}'";
	
	
	on_postings_overview = "select id_type, id, id_parent, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, sn_msgbody, 
		sn_accesscount, DATE_FORMAT(sn_datemodified,'%d.%m.%Y %k:%i') 'sn_date',
		sn_senderip, id_state  	
		from tr_msgmain WHERE id_state != 64 and id_group != 13  
		order by sn_datecreated desc limit 0, 30";

	on_votings_overview = "select t2.id_type, t2.id, t2.id_parent,  t2.id_user,  t2.id_group, t2.sn_nickname, 
		t2.sn_childcount, t2.sn_msgsubject, t2.sn_msgbody, t2.sn_accesscount, t2.sn_senderip,
		 DATE_FORMAT(t1.sn_datecreated,'%d.%m.%Y %k:%i') 'sn_datevote',
		DATE_FORMAT(t2.sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date', t1.id_user id_voter,
		t1.sn_senderip sn_voterip	from tr_votecount t1, tr_msgmain t2
		where t1.id_posting = t2.id order by t1.sn_datecreated desc	limit 0, 50";

	admin_watch_add  = "insert into tr_msgwatch( id_parent, id_user, sn_datemodified ) select id_parent, '{id_user}', sn_datemodified from tr_message where id = '{id}'";
	admin_watch_drop = "delete from tr_msgwatch where id_user='{id_user}' and id_parent='{id}'";
	admin_watch_update = "update tr_msgwatch set sn_datemodified=now() where id_user='{id_user}' and id_parent='{id}'";

	admin_kill_entry = "delete from tr_msgmain where id='{id}';
		
		delete from tr_msgext where id_main='{id}';
		
		delete from tr_msgcache where id_parent='{id}'";

	admin_get_uid = "select id_user from tr_msgmain where id='{id}'";



	on_count_threads = "select count(*) from tr_msgmain t1 
		where id_type = 'posting' and year(sn_datecreated) >= '2009' and id_group = '{grp}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0";

	
	on_count_thread_groups = "SELECT id_group, count(*) allentries
		from tr_msgmain t1 
		where year(sn_datecreated) >= 2009 and id_type = 'posting' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0
		group by id_group
		order by allentries desc";

	
	on_list_threads = "select id, sn_msgsubject xx_threadlink, id_type, id_parent from tr_msgmain t1  
		where id_type = 'posting' 
		and year(sn_datecreated) = '{year}' and month(sn_datecreated) = '{month}' 
		and dayofmonth(sn_datecreated) = '{day}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 
		and id_group != 13 
		order by sn_datecreated asc";
	
	
	on_count_faqs = "select count(*) from tr_msgmain t1 
		where id_type = 'faqs' 
		and year(sn_datecreated) = '{year}' and month(sn_datecreated) = '{month}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 ";

	on_list_faqs = "select id, sn_msgsubject xx_threadlink, id_type, id_parent from tr_msgmain t1  
		where id_type = 'faqs' 
		and year(sn_datecreated) = '{year}' and month(sn_datecreated) = '{month}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 
		order by sn_datecreated asc
		limit {page},{count}";

	
	on_list_thread_groups = "select id, sn_msgsubject xx_threadlink, id_type, id_parent, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date' from tr_msgmain t1  
		where id_type = 'posting' and year(sn_datecreated) >= '2009' and id_group = '{grp}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 
		order by sn_datemodified asc
		limit {page},{count}";


	on_count_faq_groups = "select count(*) from tr_msgmain t1 
		where id_type = 'faqs' 
		and id_group = '{grp}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 ";

	on_list_faq_groups = "select id, sn_msgsubject xx_threadlink, id_type, id_parent, DATE_FORMAT( t1.sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date' from tr_msgmain t1  
		where id_type = 'faqs' and id_group = '{grp}' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0 
		order by sn_datecreated asc
		limit {page},{count}";

	on_count_faq_entries = "SELECT id_group, count(*) allentries
		from tr_msgmain t1 
		where id_type = 'faqs' and t1.id_state & 1 != 0 and t1.id_state & 196 = 0
		group by id_group 
		order by allentries desc";


}




table:"sxpagerss"
{

	rss_news = "select  t1.id, t1.id id2, t1.id_user, t2.sn_msgteaser sn_block_article, t2.sn_msgteaser sn_msgbody,
		t1.sn_childcount, t1.sn_msgsubject, 
		DATE_FORMAT(sn_datemodified,'%a, %d %b %Y %T GMT') sn_date
		from tr_msgmain t1, tr_msgext t2
    WHERE t1.id_type = 'news' and t1.id = t2.id_main and t1.id_state & 1 != 0 

		order by t1.sn_datemodified desc limit 0,200";

	rss_faqs = "select  id, id id2, id_user, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_msgbody, sn_msgbody sn_block_article, DATE_FORMAT(sn_datemodified,'%a, %d %b %Y %T GMT') sn_date
		from tr_msgmain t1 
    WHERE id_type = 'faqs' and id_state & 1 != 0 
		order by sn_datemodified desc limit 0,200";	

	rss_forum = "select  id, id id2, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_msgbody, sn_msgbody sn_block_article, DATE_FORMAT(sn_datemodified,'%a, %d %b %Y %T GMT') sn_date from tr_msgmain  
    where id_type='posting' and id_group != 13 and id_group != 2 and id_group != 1 
		and id_state & 1 != 0 
		order by sn_datemodified desc limit 0,200";

	rss_groups = "select  id, id id2, id_user, id_group, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_msgbody, sn_msgbody sn_block_article, DATE_FORMAT(sn_datemodified,'%a, %d %b %Y %T GMT') sn_date from tr_msgmain 
    where id_type='posting' and id_group != 13 and id_group != 2 and id_group != 1 
 		and id_state & 1 != 0 and id_group = '{id_group}' 
		order by sn_datemodified desc limit 0,200";

	rss_groupfaqs = "select  id, id id2, id_user, sn_nickname, sn_childcount, sn_msgsubject, 
		sn_msgbody, sn_msgbody sn_block_article, DATE_FORMAT(sn_datemodified,'%a,  %d %b %Y %T GMT') sn_date
		from tr_msgmain t1
    WHERE id_type = 'faqs' and id_group = '{id_group}' 
		and id_group != 13 and id_group != 2 and id_group != 1 and id_state & 1 != 0 
		order by sn_datemodified desc limit 0,200";	


}



table:"sxpagepager"
{
	
	on_remove = "update users.tr_pager_xx set flag_visible_for_{type} = 0 where id='{id}'";

	pager_postbox = "select *, ({id_user}=id_sender) xx_self_sender, DATE_FORMAT( sn_datecreated,'%d.%m.%Y %k:%i') 'sn_date'
  			from users.tr_pager_xx 
  	 		where (id_sender='{id_user}' and flag_visible_for_sender = 1 and id_receiver='{id_contact}' ) or
    			    (id_receiver='{id_user}' and flag_visible_for_receiver = 1 and id_sender='{id_contact}' )  
					order by sn_datecreated desc";

}


table:"sxpagepager.contacts"
{
	

	pager_contacts = "select *, count(*) sn_numentries from 
		(
			select id_receiver id_user, sn_nickreceiver sn_nickname, sn_datecreated newest
  			from users.tr_pager_xx 
  	 		where (id_sender='{id}' and flag_visible_for_sender = 1) 
			
			union all

  		select id_sender id_user, sn_nicksender sn_nickname, sn_datecreated newest
  			from users.tr_pager_xx 
  	 		where (id_receiver='{id}' and flag_visible_for_receiver = 1)  
			) as t1


			group by id_user
			order by newest desc";
 
}



section:"err_msg"
{	
	e0 = "Bitte w&auml;hlen Sie einen 'nickname'.";
	e1 = "Ung&uuml;ltige eMail Adresse";
	e2 = "Bitte eine &Uuml;berschrift angeben!";
	e3 = "Geben Sie hier ihren Text ein.";		
	e4 = "Der Nickname existiert schon oder ist ung&uuml;ltig.";
	e5 = "Bitte w&auml;hlen Sie eine Gruppe.";			
	e6 = "Typfeld darf nicht leer sein.";		
	e7 = "ID-User darf nicht leer sein.";		
	e8 = "Kommentare ohne ID kann man nicht speichern!";		
	e9 = "ID-SubType darf nicht leer sein.";		
	e10 = "Den Vornamen bitte auch angeben.";
	e11 = "Den Nachnamen bitte auch angeben.";
	e12 = "Den Ort bitte auch angeben.";
	e13 = "Link bitte in der Form http://x.y.z!";
	e14 = "Passwort darf nicht leer sein.";		
	e15 = "Bitte mindestens 6 Zeichen eingeben.";		
	e16 = "Bitte maximal 150 Zeichen eingeben.";		
	e17 = "Bitte maximal 5000 Zeichen eingeben.";
	e18 = "Bitte vor dem Absenden die Nutzungsbedingungen lesen und akzeptieren.";	
	e19 = "Hersteller darf nicht leer sein.";		
	e20 = "Homepagelink darf nicht leer sein.";
	e21 = "Na na na! Keine Fake-Gruppen, bitte!";		
	e22 = "Bitte maximal 20000 Zeichen eingeben.";
	e23 = "Bitte maximal 500 Zeichen eingeben.";	
	e24 = "BRAINFUCK!";	
	e25 = "Bitte geben Sie Frage ein.";		
	e26 = "Antwort darf nicht leer sein.";		
	e27 = "Bitte eine Gruppe w&auml;hlen!";		
	e28 = "Bitte maximal 10000 Zeichen eingeben.";
	e29 = "Bitte maximal 100KB eingeben.";
	e30 = "Childcount-Feld darf nicht leer sein.";
	e31 = "Bitte nicht zu schnell nacheinander posten.";
	e32 = "Bitte keine doppelten Nachrichten posten.";		
	e33 = "Dieser 'Nickname' existiert schon!";
	e34 = "Den Nickname bitte ohne Sonderzeichen, Umlaute und Leerzeichen angeben! Erlaubte Zeichen sind Buchstaben, Ziffern, Punkt, Binde- und Unterstrich.";
	e35 = "Bitte maximal 10000 Zeichen eingeben.";
	e36 = "Bitte maximal 15000 Zeichen eingeben.";
	e37 = "Geben Sie hier eMail Adresse an, wenn Sie bei Antworten auf Frage benachrichtigt werden m&ouml;chten.
			 	 Adresse wird nur f&uuml;r die Benachrichtigung verwendet und nicht ver&ouml;ffentlicht.
			   Die Benachrichtigung k&ouml;nnen sie mit einem einfachen Klick auf einen speziellen Link in der Benachrichtigungs-eMail abbestellen.";	
	e38 = "Bitte auch 'Zeitaufwand', 'Kosten' etc. angeben!";
	e39 = "Bitte auch einige 'Keywords' angeben!";
	e40 = "Bitte auch einige Schl&uuml;sselzeichen angeben!";
	e41 = "id_state ist ung&uuml;tig.";
	e42 = "Bitte mindestens 3 Zeichen verwenden.";
	e43 = "Bitte maximal 16 Zeichen verwenden.";
	e44 = "Dieser 'Nickname' existiert nicht!";
	e45 = "Hier bitte auch mindestens eine Kategorie vergeben!";
}



form:"check.sxpageforum"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
	
}



form:"check.sxpageforumold"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	

}



form:"check.sxpageforumthread"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	

}



form:"check.sxpageforumgroups"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
	
}


form:"check.sxpageforumoverview"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";	
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
	
}


form:"check.sxpageforumstart"
{
	sn_nickname="not_empty:e0&bad_word:e24&nickname_exists:e33&minsize[3]:e42&maxsize[16]:e43&nickname_valid:e34";	
	sn_nickmail="empty|nickmail_valid:e1";
	id_state="state_valid:e41";
	sn_mailalert="mail_alert:e37";
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
	
}




form:"check.posting"
{
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&blocked_word:e24&bad_word:e24";
	sn_mailalert="mail_alert:e37";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
}


form:"check.reply"
{
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[150]:e16&is_subject:e24&blocked_word:e24&bad_word:e24";
	sn_mailalert="mail_alert:e37";
	id_group="not_empty:e5&group_valid:e21";	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
}


form:"check.comment"
{	
	sn_mailalert="mail_alert:e37";
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
}




form:"check.sxpagefaqs"
{
	
	id_user="not_empty:e7";	
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[255]:e16&blocked_word:e24&bad_word:e24";
	sn_msgteaser="not_empty:e2&minsize[3]:e15&maxsize[5000]:e17&blocked_word:e24&bad_word:e24";
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[100000]:e29&blocked_word:e24&bad_word:e24";	
	sn_msgtags="not_empty:e39";
	sn_childcount="not_empty:e30";
	sn_msgcategories="not_empty:e45";

}




form:"check.sxpagenews"
{
	id_user="not_empty:e7";	
	sn_childcount="not_empty:e30";	
	sn_msgsubject="not_empty:e2&minsize[3]:e15&maxsize[255]:e16&blocked_word:e24";
	sn_msgteaser="not_empty:e2&minsize[3]:e15&maxsize[5000]:e17&blocked_word:e24";
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[15000]:e36&blocked_word:e24";	
}



form:"check.user"
{
	sn_nickmail="nickmail_valid:e1";
	sn_firstname="not_empty:e10";
	sn_lastname="not_empty:e11";			
}



form:"check.userhome"
{
	sn_homepagelink="empty|(contains[http]:e13&contains[.]:e13)";	
}



form:"check.passwd"
{
	sn_passwd="not_empty:e14";
	sn_passwd1="not_empty:e14";
}


form:"check.register"
{
	sn_nickname="not_empty:e0&bad_word:e24&new_nickname_exists:e33&new_nickname_valid:e34";
	sn_nickmail="nickmail_valid:e1";
	sn_disclaimer="accepting_terms:e18";
}


form:"check.pager_create"
{	
	sn_nickreceiver="not_empty:e0&user_is_member:e44";
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
}


form:"check.pager_reply"
{	
	sn_msgbody="not_empty:e3&minsize[6]:e15&maxsize[10000]:e35&chain_posting:e31&blocked_word:e24&bad_word:e24&repeated_posting:e32";	
}







tagblock:"sn_block_posting"
{
	
	nofollow = true;
	choptext = true;	
	
	tag00 	 = "nb,&nbsp;";		
	tag01 	 = "b,<b>,</b>";
	tag03 	 = "i,<i>,</i>";
	tag05 	 = "u,<u>,</u>";
	tag07 	 = "sub,<sub>,</sub>";
	tag09 	 = "sup,<sup>,</sup>";
  code  	 = "code,<pre><code>,</code></pre>";
	tag13 	 = "quote,<div class='quote'><font class='quotefont'>Zitat:<br></font>,</div>";
	list 	   = "list,<ul>,</ul>";
	url   	 = "url,<a href='|1|' class='sn_cont' target=_new title='|2|' |3|>,</a>";
	xurl   	 = "xurl,<a href='|1|' class='sn_cont' target=_new title='|2|' |3|>,</a>";
	tag20 	 = "*,<li>,</li>";
	tag22 	 = "br,<br><br>";		
	pic   	 = "pic,<img class='linksausgerichtet' title='|1|' src='/overlayimage/',' border='0'>";	

	
}


tagblock:"sn_block_posting_nnf"
{	
	
	extends = "sn_block_posting";

	nofollow = false;
	choptext = true;	

}


tagblock:"sn_block_article"
{	

	extends = "sn_block_posting";

	nofollow = true;
	choptext = true;	
	tag23	 = "table,<table border='1'>,</table>";
	tag24	 = "tr,<tr>,</tr>";
	tag25	 = "td,<td>,</td>";	
	tag29 	 = "color,<font color=|1|>,</font>";

	tag30 	 = "h1,<font class='ueber1'>,</font>";
	tag32 	 = "h2,<font class='ueber2'>,</font>";
	tag34 	 = "h3,<font class='ueber3'>,</font>";
	
	tag36 	 = "infor,<div style='FLOAT: right; width:|1|px;'><div class='ro'><div class='lo'><div class='ru'><div class='lu'><div class='inhalt'>,</div></div></div></div></div></div>";
	tag37 	 = "infol,<div style='FLOAT: left;  width:|1|px;'><div class='ro'><div class='lo'><div class='ru'><div class='lu'><div class='inhalt'>,</div></div></div></div></div></div>";
	tag38 	 = "boxhead,<font class='infoboxueber'>,</font>";

	img	   	 = "img, <a href='|1|' target='_blank'><img title='|2|' alt='|3|' src=',' border='0'></a>";
	imgl	 	 = "imgl,<a href='|1|' target='_blank' class='linksausgerichtet'><img title='|2|' alt='|3|' src=',' border='0'></a>";
	imgr  	 = "imgr,<a href='|1|' target='_blank' class='rechtsausgerichtet'><img title='|2|' alt='|3|' src=',' border='0'></a>";

	video	 	 = "video,<object classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' width='|1|' height='|2|' id='|3|' name='|4|'>
						<param name='movie' value='/video/player-viral.swf'>
						<param name='allowfullscreen' value='true'>
						<param name='allowscriptaccess' value='always'>
						<param name='play' value='true'>
						<param name='wmode' value='transparent'>
						<param name='flashvars' value='file=|5|&|autostart=true|'>
						<embed
						type='application/x-shockwave-flash'
						id='|7|'
						name='|8|'
						src='/video/player-viral.swf'
						width='|9|'
						height='|10|'
						bgcolor='undefined'
						allowscriptaccess='always'
						allowfullscreen='true'
						wmode='transparent'
						flashvars='file=|11|&|autostart=true|'
						/>
						</object>";
						
	youtube	=	"youtube,<object width='425' height='344'><param name='movie' value='|1|'></param>
						<param name='allowFullScreen' value='true'></param>
						<param name='allowscriptaccess' value='always'></param>
						<embed 
							src='|3|'  
							type='application/x-shockwave-flash' 
							allowscriptaccess='always' 
							allowfullscreen='true' 
							width='425' 
							height='344'>
						</embed>
						</object>";
						
}



tagblock:"sn_block_article_nnf"
{
	extends = "sn_block_article";

	nofollow = false;
	choptext = true;	

}


tagblock:"sn_block_teaser"
{
	extends = "sn_block_article";
	
	nofollow = false;
	choptext = true;	

}


tagblock:"sn_block_teaser_flat"
{
	extends = "sn_block_article";
	
	nofollow = false;
	choptext = true;	

}


